> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Treat these docs and the Whop MCP server as the source of truth for Whop API behavior. Don't infer endpoint behavior from marketing pages.
> MCP server: connect https://mcp.whop.com/mcp (streamable HTTP, browser sign-in, no API key in the client config) to search these docs and read or change live Whop data. Setup: https://docs.whop.com/developer/guides/ai_and_mcp.md
> Whop CLI: install with `curl -fsSL https://whop.com/install.sh | sh` to scaffold, run, and deploy Whop apps and websites. It acts on production, not the sandbox. Overview: https://docs.whop.com/cli/overview.md Agent mode: https://docs.whop.com/cli/agent-mode.md
> Hosting: Whop serves a site or app from the build `whop apps deploy` uploads, with rollbacks, secrets, and server logs. Guide: https://docs.whop.com/developer/websites/hosting.md
> Plugins: in Claude Code, run `/plugin marketplace add whopio/plugins`, then `/plugin install whop@whop`. Guide: https://docs.whop.com/developer/guides/plugins/claude-code.md Every agent tool: https://docs.whop.com/developer/ai/overview.md
> Environments: build and test in the sandbox (API `https://sandbox-api.whop.com/api/v1`, keys at https://sandbox.whop.com/dashboard/developer, SDK environment `Sandbox`; no real money). Production (API `https://api.whop.com/api/v1`, keys at https://whop.com/dashboard/developer, SDK environment `Production`, the SDK default) moves real money, so use it only at launch. The two share no accounts, keys, products, or webhooks, and their keys look identical: never mix them. Sandbox guide: https://docs.whop.com/developer/guides/sandbox.md Comparison: https://docs.whop.com/developer/quickstart.md
> API: send `Authorization: Bearer <API_KEY>` from your server only, and pin a dated version with the `Api-Version-Date` header. OpenAPI spec: https://api.whop.com/api/v1/openapi.json
> Which API: build on the Current API, whose pages live under https://docs.whop.com/api-reference/ (start at https://docs.whop.com/api-reference/overview.md). Pages under /api-reference/legacy/ are the Legacy API. Use one only when https://docs.whop.com/api-reference/stability.md lists the resource as Legacy-only.

# Refund

> 환불(Refund)은 결제의 전체 또는 부분 취소를 나타내며, 금액, 상태, 결제 제공업체를 포함합니다.

```json Example theme={null}
{
	"amount": 6.9,
	"created_at": "2023-12-01T05:00:00.401Z",
	"currency": "usd",
	"id": "rf_xxxxxxxxxxxxxxx",
	"metadata": {},
	"payment": {
		"billing_reason": "subscription_create",
		"card_brand": "mastercard",
		"card_last4": "4242",
		"created_at": "2023-12-01T05:00:00.401Z",
		"currency": "usd",
		"dispute_alerted_at": "2023-12-01T05:00:00.401Z",
		"id": "pay_xxxxxxxxxxxxxx",
		"member": {
			"id": "<string>",
			"phone": "<string>"
		},
		"membership": {
			"id": "mem_xxxxxxxxxxxxxx",
			"status": "trialing"
		},
		"metadata": {},
		"paid_at": "2023-12-01T05:00:00.401Z",
		"payment_method_type": "acss_debit",
		"plan": {
			"id": "plan_xxxxxxxxxxxxx",
			"metadata": {}
		},
		"product": {
			"id": "prod_xxxxxxxxxxxxx",
			"metadata": {}
		},
		"subtotal": 6.9,
		"tax_amount": 6.9,
		"tax_behavior": "exclusive",
		"tax_refunded_amount": 6.9,
		"total": 6.9,
		"usd_total": 6.9,
		"user": {
			"email": "john.doe@example.com",
			"id": "user_xxxxxxxxxxxxx",
			"name": "John Doe",
			"username": "johndoe42"
		}
	},
	"provider": "stripe",
	"provider_created_at": "2023-12-01T05:00:00.401Z",
	"reference_status": "available",
	"reference_type": "acquirer_reference_number",
	"reference_value": "74850120752",
	"status": "pending"
}
```

**amount** `number` *required*

지정된 통화로 표시된 환불 금액(소수)입니다. 예: \$10.43 USD의 경우 10.43.

예시: `6.9`

**created\_at** `string\<date-time\>` *required*

환불이 생성된 일시입니다.

예시: `2023-12-01T05:00:00.401Z`

**currency** `Currencies` *required*

환불 금액의 세 자리 ISO 통화 코드입니다.

사용 가능한 옵션: `usd`, `sgd`, `inr`, `aud`, `brl`, `cad`, `dkk`, `eur`, `nok`, `gbp`, `sek`, `chf`, `hkd`, `huf`, `jpy`, `mxn`, `myr`, `pln`, `czk`, `nzd`, `aed`, `eth`, `ape`, `cop`, `ron`, `thb`, `bgn`, `idr`, `dop`, `php`, `try`, `krw`, `twd`, `vnd`, `pkr`, `clp`, `uyu`, `ars`, `zar`, `dzd`, `tnd`, `mad`, `kes`, `kwd`, `jod`, `all`, `xcd`, `amd`, `bsd`, `bhd`, `bob`, `bam`, `khr`, `crc`, `xof`, `egp`, `etb`, `gmd`, `ghs`, `gtq`, `gyd`, `ils`, `jmd`, `mop`, `mga`, `mur`, `mdl`, `mnt`, `nad`, `ngn`, `mkd`, `omr`, `pyg`, `pen`, `qar`, `rwf`, `sar`, `rsd`, `lkr`, `tzs`, `ttd`, `uzs`, `rub`, `btc`, `cny`, `usdt`, `kzt`, `awg`, `whop_usd`, `xau`, `hnl`

**id** `string` *required*

환불의 고유 식별자입니다.

예시: `rf_xxxxxxxxxxxxxxx`

**metadata** `object | null` *required*

이 환불이 요청될 때 첨부된 사용자 지정 메타데이터입니다.

**payment** `object | null` *required*

이 환불이 발행된 원래 결제입니다. 결제를 더 이상 사용할 수 없는 경우 Null입니다.

**하위 속성**

**billing\_reason** `BillingReasons | null` *required*

이 청구가 생성된 기계 판독 가능한 사유로, 최초 구독 구매, 갱신 주기, 일회성 결제 등이 있습니다.

사용 가능한 옵션: `subscription_create`, `subscription_cycle`, `subscription_update`, `one_time`, `manual`, `subscription`

**card\_brand** `CardBrands | null` *required*

처리업체가 보고한 카드 네트워크입니다(예: 'visa', 'mastercard', 'amex'). 결제 수단 유형이 'card'인 경우에만 표시됩니다.

사용 가능한 옵션: `mastercard`, `visa`, `amex`, `discover`, `unionpay`, `jcb`, `diners`, `link`, `troy`, `visadankort`, `visabancontact`, `china_union_pay`, `rupay`, `jcbrupay`, `elo`, `maestro`, `tarjeta_naranja`, `cirrus`, `nspk_mir`, `verve`, `ebt`, `private_label`, `local_brand`, `uatp`, `wexcard`, `uzcard`, `meeza`, `hrg_store_card`, `girocard`, `fuel_card`, `dankort`, `carnet`, `atm_card`, `china_union_payuzcard`, `codensa`, `cabal`, `hipercard`, `jcblankapay`, `cmi`, `aura`, `accel`, `culiance`, `nyce`, `pulse`, `star`, `eftpos`, `alelo`, `edenred`, `sodexo`, `unknown`

**card\_last4** `string | null` *required*

이 결제에 사용된 카드의 마지막 네 자리입니다. 카드로 결제하지 않은 경우 Null입니다.

예시: `4242`

**created\_at** `string\<date-time\>` *required*

결제가 생성된 일시입니다.

예시: `2023-12-01T05:00:00.401Z`

**currency** `Currencies` *required*

이 결제의 세 자리 ISO 통화 코드입니다(예: 'usd', 'eur').

사용 가능한 옵션: `usd`, `sgd`, `inr`, `aud`, `brl`, `cad`, `dkk`, `eur`, `nok`, `gbp`, `sek`, `chf`, `hkd`, `huf`, `jpy`, `mxn`, `myr`, `pln`, `czk`, `nzd`, `aed`, `eth`, `ape`, `cop`, `ron`, `thb`, `bgn`, `idr`, `dop`, `php`, `try`, `krw`, `twd`, `vnd`, `pkr`, `clp`, `uyu`, `ars`, `zar`, `dzd`, `tnd`, `mad`, `kes`, `kwd`, `jod`, `all`, `xcd`, `amd`, `bsd`, `bhd`, `bob`, `bam`, `khr`, `crc`, `xof`, `egp`, `etb`, `gmd`, `ghs`, `gtq`, `gyd`, `ils`, `jmd`, `mop`, `mga`, `mur`, `mdl`, `mnt`, `nad`, `ngn`, `mkd`, `omr`, `pyg`, `pen`, `qar`, `rwf`, `sar`, `rsd`, `lkr`, `tzs`, `ttd`, `uzs`, `rub`, `btc`, `cny`, `usdt`, `kzt`, `awg`, `whop_usd`, `xau`, `hnl`

**dispute\_alerted\_at** `string\<date-time\> | null` *required*

이 거래에 분쟁이 제기될 것이라는 알림이 들어온 시점입니다

예시: `2023-12-01T05:00:00.401Z`

**id** `string` *required*

결제의 고유 식별자입니다.

예시: `pay_xxxxxxxxxxxxxx`

**member** `object | null` *required*

이 결제에 연결된 멤버입니다.

**하위 속성**

**id** `string` *required*

회사 멤버의 고유 식별자입니다.

**phone** `string | null` *required*

멤버의 전화번호입니다(있는 경우).

**membership** `object | null` *required*

이 결제에 연결된 멤버십입니다.

**하위 속성**

**id** `string` *required*

멤버십의 고유 식별자입니다.

예시: `mem_xxxxxxxxxxxxxx`

**status** `MembershipStatus` *required*

멤버십의 상태입니다.

사용 가능한 옵션: `trialing`, `active`, `past_due`, `completed`, `canceled`, `expired`, `unresolved`, `drafted`, `canceling`

**metadata** `object | null` *required*

이 결제에 저장된 사용자 지정 메타데이터입니다. 이 결제가 이루어진 체크아웃 구성으로 복사됩니다

**paid\_at** `string\<date-time\> | null` *required*

이 결제가 성공적으로 수금된 시간입니다. 결제가 아직 성공하지 않은 경우 Null입니다. Unix 타임스탬프입니다.

예시: `2023-12-01T05:00:00.401Z`

**payment\_method\_type** `PaymentMethodTypes | null` *required*

이 결제에 사용된 결제 수단의 유형입니다(예: card, Cash App, iDEAL, Klarna, crypto). 처리업체가 유형을 제공하지 않는 경우 Null입니다.

사용 가능한 옵션: `acss_debit`, `addi`, `affirm`, `afterpay_clearpay`, `alipay`, `alipayhk`, `alma`, `amazon_pay`, `apple`, `apple_pay`, `au_bank_transfer`, `au_becs_debit`, `bacs_debit`, `bancolombia`, `bancontact`, `bank_wire`, `billie`, `blik`, `boleto`, `bre_b`, `ca_bank_transfer`, `capchase_pay`, `card`, `card_present`, `card_installments_three`, `card_installments_six`, `card_installments_twelve`, `cashapp`, `claritypay`, `coinbase`, `crypto`, `crypto_subscription`, `custom`, `customer_balance`, `demo_pay`, `duitnow_qr`, `efecty`, `eps`, `eu_bank_transfer`, `fpx`, `flex_pay`, `gb_bank_transfer`, `gcash`, `giropay`, `google_pay`, `gopay`, `grabpay`, `id_bank_transfer`, `ideal`, `interac`, `international_bank_wire`, `kakao_pay`, `klarna`, `klarna_pay_now`, `konbini`, `kr_card`, `kr_market`, `kriya`, `kueski`, `link`, `mb_way`, `m_pesa`, `mercado_pago`, `mercado_pago_ar`, `mercado_pago_mx`, `mobilepay`, `modo`, `mondu`, `multibanco`, `naver_pay`, `nequi`, `netbanking`, `ng_bank`, `ng_bank_transfer`, `ng_card`, `ng_market`, `ng_ussd`, `ng_wallet`, `nupay`, `nz_bank_account`, `oney`, `oney_3x`, `oney_4x`, `opay`, `oxxo`, `p24`, `pago_efectivo`, `pse`, `pay_by_bank`, `payco`, `paynow`, `paypal`, `paypal_express`, `paypay`, `payto`, `payto_email`, `payto_phone`, `payto_bank_account`, `pix`, `pix_automatico`, `platform_balance`, `promptpay`, `qris`, `rapipago`, `rechnung`, `revolut_pay`, `samsung_pay`, `satispay`, `scalapay`, `sencillito`, `sepa_debit`, `sequra`, `servipag`, `sezzle`, `shop_pay`, `shopeepay`, `sofort`, `south_korea_market`, `spei`, `splitit`, `sunbit`, `swish`, `tabby`, `tamara`, `touch_n_go`, `twint`, `upi`, `us_bank_account`, `us_bank_transfer`, `venmo`, `verve`, `vipps`, `webpay`, `wechat_pay`, `whop_pay`, `yape`, `zip`, `coinflow`, `unknown`

**plan** `object | null` *required*

이 결제에 연결된 플랜입니다.

**하위 속성**

**id** `string` *required*

플랜의 고유 식별자입니다.

예시: `plan_xxxxxxxxxxxxx`

**metadata** `object | null` *required*

플랜에 저장된 사용자 지정 키-값 쌍입니다. 결제 및 멤버십 이벤트의 웹훅 페이로드에 포함됩니다. 최대 50개 키, 키당 100자, 문자열 값당 500자입니다. 예약된 키 `custom_cta` 및 `custom_cta_url`이 설정되면 이 플랜에 대한 상품의 체크아웃 행동 유도 문구를 재정의합니다.

**product** `object | null` *required*

이 결제가 이루어진 상품입니다

**하위 속성**

**id** `string` *required*

상품의 고유 식별자입니다.

예시: `prod_xxxxxxxxxxxxx`

**metadata** `object | null` *required*

상품에 저장되어 결제 및 멤버십 웹훅 페이로드에 포함되는 사용자 지정 키-값 쌍입니다. 최대 50개 키, 키당 100자, 문자열 값당 500자입니다.

**subtotal** `number | null` *required*

크리에이터에게 표시할 소계입니다(구매자 수수료 제외).

예시: `6.9`

**tax\_amount** `number | null` *required*

계산된 판매세/부가가치세 금액입니다(해당하는 경우).

예시: `6.9`

**tax\_behavior** `ReceiptTaxBehaviors | null` *required*

결제에 적용된 세금 포함 유형으로, 세금이 최종 가격에 포함되는지 또는 추가로 부과되는지를 결정합니다.

사용 가능한 옵션: `exclusive`, `inclusive`, `unspecified`, `unable_to_collect`

**tax\_refunded\_amount** `number | null` *required*

환불된 세금 금액입니다(해당하는 경우).

예시: `6.9`

**total** `number | null` *required*

크리에이터에게 표시할 합계입니다(구매자 수수료 제외).

예시: `6.9`

**usd\_total** `number | null` *required*

크리에이터에게 표시할 USD 합계입니다(구매자 수수료 제외).

예시: `6.9`

**user** `object | null` *required*

이 결제를 한 사용자입니다.

**하위 속성**

**email** `string | null` *required*

사용자의 이메일 주소입니다. 접근하려면 member:email:read 권한이 필요합니다. 권한이 없는 경우 Null입니다.

예시: `john.doe@example.com`

**id** `string` *required*

사용자의 고유 식별자입니다.

예시: `user_xxxxxxxxxxxxx`

**name** `string | null` *required*

공개 프로필에 표시되는 사용자의 표시 이름입니다.

예시: `John Doe`

**username** `string` *required*

공개 프로필에 표시되는 사용자의 고유 사용자 이름입니다.

예시: `johndoe42`

**provider** `PaymentProviders` *required*

환불을 처리한 결제 제공업체입니다.

사용 가능한 옵션: `stripe`, `coinbase`, `paypal`, `apple`, `sezzle`, `splitit`, `platform_balance`, `multi_psp`, `adyen`, `claritypay`, `flex_pay`, `checkout_dot_com`, `airwallex`, `coinflow`, `sequra`, `dlocal`, `masspay`, `braintree`

**provider\_created\_at** `string\<date-time\> | null` *required*

결제 제공업체 시스템에서 환불이 생성된 타임스탬프입니다. 제공업체에서 제공하지 않는 경우 Null입니다.

예시: `2023-12-01T05:00:00.401Z`

**reference\_status** `RefundReferenceStatuses | null` *required*

결제 처리업체의 환불 추적 참조 가용성 상태입니다. 참조가 제공되지 않은 경우 Null입니다.

사용 가능한 옵션: `available`, `pending`, `unavailable`

**reference\_type** `RefundReferenceTypes | null` *required*

결제 처리업체가 제공한 추적 참조 유형으로, 매입사 참조 번호(ARN) 등이 있습니다. 참조가 제공되지 않은 경우 Null입니다.

사용 가능한 옵션: `acquirer_reference_number`, `retrieval_reference_number`, `system_trace_audit_number`

**reference\_value** `string | null` *required*

은행 네트워크를 통해 환불을 추적하는 데 사용되는 결제 처리업체의 추적 참조 값입니다. 참조가 제공되지 않은 경우 Null입니다.

예시: `74850120752`

**status** `RefundStatuses` *required*

환불의 현재 처리 상태로, pending, succeeded, failed 등이 있습니다.

사용 가능한 옵션: `pending`, `requires_action`, `succeeded`, `failed`, `canceled`


## Related topics

- [Refund payment](https://docs.whop.com/ko/api-reference/legacy/payments/refund-payment.md)
- [Refunds API](https://docs.whop.com/ko/api-reference/refunds/refund.md)
- [Retrieve Refund](https://docs.whop.com/ko/api-reference/refunds/retrieve-refund.md)
